Bug 8892 - Plack variable scoping in basket.pl
Summary: Plack variable scoping in basket.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P1 - high major (vote)
Assignee: Paul Poulain
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-10-09 15:23 UTC by Paul Poulain
Modified: 2013-12-05 20:06 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8892 fix Plack scoping in acquisition (3.34 KB, patch)
2012-11-02 09:22 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8892 fix Plack scoping in acquisition (3.40 KB, patch)
2012-11-10 13:55 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2012-10-09 15:23:21 UTC
Variable "$basketno" is not available at /home/paul/koha.dev/koha-community/acqui/basket.pl line 359.
Comment 1 Paul Poulain 2012-11-02 09:22:45 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2012-11-02 09:29:45 UTC
I never had any problem with this variable scoping problems, so maybe it's some unused variable, but for safety (and having a quiet log), it's better to fix by our-ing some variables
Comment 3 Jared Camins-Esakov 2012-11-10 13:55:40 UTC
Created attachment 13374 [details] [review]
Bug 8892 fix Plack scoping in acquisition

basket.pl has a local sub get_order_infos that require our-ing the
basketno variable.
Note that I had no problem with this variable. It may be some dead code,
but I couldn't be sure it is, so I just switched basketno to "our"

neworderempty.pl has 2 local sub that require our-ing some variables:
subs MARCfindbreeding and Load_Duplicate

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 4 Jonathan Druart 2012-11-12 16:26:47 UTC
QA comment:

This patch removes warnings in 2 pages (using Plack).

Marked as Passed QA.
Comment 5 Jared Camins-Esakov 2012-11-12 23:52:26 UTC
This patch has been pushed to master.
Comment 6 Paul Poulain 2012-11-16 17:30:23 UTC
Patch pushed to branch 3.10.x
Comment 7 Chris Cormack 2013-04-22 10:15:11 UTC
Released in 3.10.0